Package org.eclipse.ecf.remoteservice

# Interface IRemoteFilter

All Superinterfaces:
  `Filter`

All Known Implementing Classes:
  `RemoteFilterImpl`, `RemoteFilterImpl`, `RemoteServiceFilterImpl`

public interface IRemoteFilter extends Filter
Filter for remote service references.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`match(IRemoteServiceReference reference)`
Filter using a remote service's properties.

### Methods inherited from interface org.osgi.framework.Filter

`equals, hashCode, match, match, matchCase, matches, toString`

## Method Details

### match

boolean match(IRemoteServiceReference reference)
Filter using a remote service's properties.

The filter is executed using the keys and values of the referenced service's properties. The keys are case insensitively matched with the filter.

Parameters:
  `reference` - The reference to the service whose properties are used in the match.
Returns:
  `true` if the service's properties match this filter; `false` otherwise.